/* Mặc định ẩn + nằm thấp xuống */
.reveal {
  opacity: 0;
  transform: translateY(300px);
  transition: all 1s ease;
}

/* Khi xuất hiện */
.reveal.show {
  opacity: 1;
  transform: translateY(0);
}

/*giới thiệu*/

/* ===== SECTION ===== */
.about {
  background: #fff;
  padding: 80px 0;
}

.about .container {
  width: 80%;
  margin: auto;
  padding: 0 15px;

  display: flex;
  align-items: center;
  gap: 50px;
}

/* ===== IMAGE ===== */
.about-image {
  flex: 1;
}

.about-image img {
  width: 100%;
  display: block;

  border-radius: 20px;
  border: 2px solid #334a1b;

  object-fit: cover;

  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.08);
  transition: 0.4s;
}

.about-image img:hover {
  transform: translateY(-5px);
}

/* ===== CONTENT ===== */
.about-content {
  flex: 1;
}

.about-content h2 {
  color: #334a1b;
  font-size: 40px;
  font-weight: 700;
  margin-bottom: 25px;
  text-transform: uppercase;
  line-height: 1.2;
}

.about-content p {
  font-size: 17px;
  color: #555;
  line-height: 1.9;
  margin-bottom: 16px;
  text-align: justify;
}

/* ===== BUTTON ===== */
.btn-more {
  display: inline-block;
  margin-top: 10px;
  margin-left: 75%;

  padding: 14px 35px;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  font-size: 16px;

  background: #334a1b;

  clip-path: polygon(12px 0, 100% 0, calc(100% - 12px) 100%, 0 100%);

  transition: 0.3s;
}

.btn-more:hover {
  background: #334a1b;
  transform: translateY(-3px);
  color: #fff;
}

/* ===== TABLET ===== */
@media (max-width: 992px) {
  .about {
    padding: 60px 0;
  }

  .about .container {
    gap: 35px;
  }

  .about-content h2 {
    font-size: 34px;
  }
}

/* ===== MOBILE ===== */
@media (max-width: 768px) {
  .about .container {
    flex-direction: column;
    padding: 0;
  }

  .container {
    width: 90% !important;
  }

  .about-image,
  .about-content {
    width: 100%;
  }

  .about-content {
    text-align: center;
  }

  .about-content h2 {
    font-size: 22px;
    margin-bottom: 20px;
  }

  .about-content p {
    font-size: 16px;
    line-height: 1.8;
  }

  .about .btn-more {
    width: 180px;
    text-align: center;
    margin-top: 15px;
    margin-left: 45%;
  }
}

@media (min-width: 992px) and (max-width: 1600px) {
    .btn-more {
        margin-left: 68%;
    }
}

/* ====== 3 LÝ DO CHỌN ======== */
.why-choose-us {
  background: #f3f3f3;
  padding: 80px 0;
}

.why-choose-us .container {
  width: 80%;
  margin: auto;
  padding: 0 15px;

  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

/* ====================== */
.service-box {
  background: #fff;
  border-radius: 8px;

  padding: 45px 35px;

  text-align: center;

  transition: 0.4s;
  position: relative;

  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.05);
}

.service-box:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.12);
  background: #344b1c;
}
.service-box:hover h3 {
  color: #fff;
}
.service-box:hover p {
  color: #fff;
}

/* ====================== */
.service-icon {
  width: 68px;
  height: 68px;

  margin: 0 auto 35px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 50% 50% 50% 20%;

  font-size: 24px;
  color: #fff;

  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

/* ====================== */
.service-box h3 {
  font-size: 25px;
  font-weight: 700;
  color: #344b1c;
  margin-bottom: 15px;
  margin-top: 10px;
  line-height: 1.5;
}

.service-box p {
  color: #666;
  font-size: 17px;
  line-height: 1.8;
  margin-bottom: 30px;
}

/* ====================== */
.service-btn {
  display: inline-block;
  padding: 12px 28px;

  background: #b48202;
  color: #fff;

  border-radius: 30px;

  text-decoration: none;
  font-size: 16px;
  font-weight: 600;

  transition: 0.3s;
}

.service-btn:hover {
  background: #b48202;
  transform: translateY(-3px);
  color: #fff;
}

/* ====================== */
/* Tablet */
@media (max-width: 991px) {
  .why-choose-us .container {
    grid-template-columns: repeat(2, 1fr);
    padding: 0px;
  }

  .service-box {
    padding: 40px 25px;
  }
}

/* Mobile */
@media (max-width: 767px) {
  .why-choose-us {
    padding: 50px 0;
  }

  .why-choose-us .container {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .service-box {
    padding: 35px 20px;
  }

  .service-box h3 {
    font-size: 18px;
  }

  .service-box p {
    font-size: 16px;
    margin-bottom: 25px;
  }

  .service-icon {
    width: 60px;
    height: 60px;
    font-size: 22px;
    margin-bottom: 25px;
  }
}

/* GIỚI THIỆU CÔNG TY */
.about-company {
  padding: 80px 0;
  background-image: url(../hinhmenu/bg-sam-nu-hoang.webp);
  background-size: cover;
  background-position: center;
}

.about-company .container {
  width: 80%;
  margin: auto;
  display: flex;
  align-items: center;
  gap: 60px;
}

/* Nội dung */
.about-company .about-content {
  flex: 1;
}

.about-company .about-content h1 {
  font-size: 35px;
  font-weight: 700;
  color: #b68507;
  margin-bottom: 25px;
  line-height: 1.4;
}

.about-company .about-content p {
  font-size: 18px;
  line-height: 1.9;
  color: #fff;
  margin-bottom: 20px;
}

/* Danh sách */
.about-company .about-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px 40px;
  margin-bottom: 40px;
}

.about-company .about-list .item {
  display: flex;
  align-items: center;
  gap: 10px;

  font-size: 18px;
  font-weight: 600;
  color: #fff;
}

.about-company .about-list .item i {
  color: #fff;
  font-size: 18px;
}

/* Nút */
.about-company .about-btn {
  background: #b68507;
  color: #fff;
  border-radius: 10px;
  border: 1px solid #b68507;
  padding: 14px 35px;
  text-decoration: none;
  font-size: 18px;
  font-weight: 600;
  transition: 0.3s;
}

.about-company .about-btn:hover {
  background: #fff;
  border: 1px solid #b68507;
  color: #b68507;
}

/* Hình ảnh */
.about-company .about-image {
  flex: 1;
}

.about-company .about-image iframe {
  width: 100%;
  border-radius: 10px;
  border: 10px solid #fff;
}

/* =================== */
/* Tablet */
@media (max-width: 991px) {
  .about-company {
    padding: 70px 0;
  }

  .about-company .container {
    gap: 40px;
  }

  .about-company .about-content h1 {
    font-size: 25px;
  }

  .about-company .about-content p,
  .about-company .about-list .item {
    font-size: 16px;
  }
}

/* =================== */
/* Mobile */
@media (max-width: 767px) {
  .about-company .container {
    flex-direction: column-reverse;
    gap: 30px;
    padding: 0;
  }

  .about-company .about-content {
    text-align: center;
  }

  .about-company .about-content h2 {
    font-size: 28px;
  }

  .about-company .about-content p {
    font-size: 16px;
    line-height: 1.8;
  }

  .about-company .about-list {
    grid-template-columns: 1fr;
    text-align: left;
  }

  .about-company .about-btn {
    padding: 12px 30px;
    font-size: 16px;
  }
}

/*SẢN PHẨM HOẠT ĐỘNG*/

.product-service {
  width: 100%;
  padding: 80px 0;
  background: linear-gradient(180deg, #ffffff, #5af03138, #dac28394, #ffffff);
}

.product-service h2 {
  color: #334a1b;
  font-size: 40px;
  font-weight: 700;
  margin-bottom: 35px;
  text-transform: uppercase;
  line-height: 1.2;
  text-align: center;
}

.product-service .container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 35px;
  padding: 20px 0;
}

.product-service .left-column {
  display: flex;
  flex-direction: column;
  gap: 35px;
}

.product-service .right-column {
  height: 100%;
}

.product-service .service-big {
  height: 100%;
  display: block !important;
}

.product-service .service-big .service-image {
  width: 100%;
}

.product-service .service-big .service-image img {
  width: 100% !important;
  height: 365px !important;
  object-fit: cover;
}

.product-service .service-big .service-text {
  display: flex;
  width: 100% !important;
  flex-direction: column;
  justify-content: center;
  padding-top: 20px;
}

.product-service .service-big .service-text span {
  width: 50%;
}

/* BOX */
.product-service .service-box {
  display: flex;
  gap: 22px;
  background: #fff;
  border-radius: 24px;
  overflow: hidden;
  padding: 10px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.06);
  transition: 0.4s ease;
}

/* hover */
.product-service .service-box:hover {
  transform: translateY(-6px);
  box-shadow: 0 20px 45px rgba(0, 0, 0, 0.14);
}

/* IMAGE */
.product-service .service-image {
  width: 40%;
  overflow: hidden;
  border-radius: 18px;
  flex-shrink: 0;
  margin: 0 !important;
}

.product-service .service-image img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  display: block;

  transition: 1s ease;
}

/* zoom */
.product-service .service-box:hover img {
  transform: scale(1.08);
}

/* TEXT */
.product-service .service-text {
  width: 55%;
  text-align: justify;
}

.product-service .service-text span {
  display: inline-block;

  font-size: 12px;
  font-weight: 600;
  letter-spacing: 1px;
  background: #fff2da;
  color: #364d1f;
  padding: 6px 14px;
  border-radius: 30px;
  margin-bottom: 10px;
}

.product-service .service-text h3 {
  font-size: 22px;
  line-height: 1.45;
  color: #b68507;
  margin-bottom: 10px;
  margin-top: 5px !important;
  font-weight: 700;
}

.product-service .service-text p {
  font-size: 17px;
  line-height: 1.5;
  color: #000;
  margin-bottom: 15px;
  height: 101px;
  display: -webkit-box;
  -webkit-line-clamp: 4; /* giới hạn 4 dòng */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.product-service .service-big .service-text p {
  font-size: 17px;
  line-height: 1.5;
  color: #000;
  margin-bottom: 15px;
  height: auto;
  display: -webkit-box;
  -webkit-line-clamp: 4; /* giới hạn 4 dòng */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* BUTTON */
.product-service .service-text a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  background: #364d1f;
  color: #fff;
  border: 1px solid #fff;
  padding: 9px 22px;
  border-radius: 40px;
  font-size: 16px;
  font-weight: 600;
  transition: 0.35s ease;
}

.product-service .service-text a:hover {
  background: #fff;
  color: #364d1f;
  border: 1px solid #364d1f;
  transform: translateX(4px);
}

/* TABLET */
@media (max-width: 991px) {
  .product-service .container {
    grid-template-columns: 1fr;
  }

  .product-service .left-column {
    gap: 25px;
  }

  .product-service .service-big {
    min-height: auto;
  }

  .product-service .service-big .service-image img {
    height: auto;
  }
}

/* MOBILE */
@media (max-width: 768px) {
  .product-service {
    padding: 40px 0px;
  }

  .product-service h2 {
    font-size: 24px;
  }

  .product-service .service-box {
    border-radius: 18px;
  }

  .product-service .service-image img {
    height: 220px;
  }

  .product-service .service-text h3 {
    font-size: 16px;
  }

  .product-service .service-text p {
    font-size: 14px;
    line-height: 1.7;
    -webkit-line-clamp: 3; /* giới hạn 3 dòng */
    height: 68px;
  }

  .product-service .service-text a {
    width: 100%;
    font-size: 15px;
    padding: 5px 20px;
  }

  .product-service .service-text span {
    font-size: 10px;
  }
}


@media (min-width: 992px) and (max-width: 1600px) {
   .product-service .service-big .service-image img {
        height: 338px !important;
    }
    .product-service .service-text h3 {
       font-size: 20px;
    }
}

/* TẠI SAO CHỌN CHÚNG TÔI */
.why-us {
  padding: 80px 0;
  background: #fff;
  overflow: hidden;
}

.why-us .container {
  width: 80%;
  margin: auto;
  padding: 0 15px;
  display: flex;
  align-items: center;
  gap: 70px;
}

/* ==================== */
/* HÌNH ẢNH */
/* ==================== */

.why-us-image {
  flex: 1;
  display: flex;
  justify-content: center;
}

.why-us .image-shape {
  width: 100%;
  max-width: 560px;
  position: relative;
}

.why-us .image-shape img {
  position: relative;
  z-index: 2;

  width: 100%;
  height: 550px;
  object-fit: cover;
  display: block;
}

/* ==================== */
/* NỘI DUNG */
/* ==================== */

.why-us-content {
  flex: 1;
}

.why-us .sub-title {
  color: #b68507;
  font-size: 30px;
  font-weight: 700;
  display: block;
  margin-bottom: 15px;
}

.why-us-content h2 {
  color: #334a1b;
  font-size: 40px;
  font-weight: 700;
  margin-bottom: 35px;
  line-height: 1.2;
}

.why-us .why-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.why-us .why-list li {
  display: flex;
  align-items: flex-start;
  gap: 20px;
  margin-bottom: 20px;
  font-size: 18px;
  line-height: 1.7;
  color: #333;
}

.why-us .why-list li i {
  color: #334a1b;
  font-size: 26px;
  margin-top: 3px;
  flex-shrink: 0;
}

.why-us .why-list li strong {
  color: #1f2b3a;
}

/* ==================== */
/* LAPTOP */
/* ==================== */

@media (max-width: 1200px) {
  .why-us .why-us-content h2 {
    font-size: 42px;
  }

  .why-us .why-list li {
    font-size: 17px;
  }
}

/* ==================== */
/* TABLET */
/* ==================== */

@media (max-width: 991px) {
  .why-us {
    padding: 60px 0;
  }

  .why-us .container {
    flex-direction: column;
    gap: 50px;
    padding: 0;
  }

  .why-us-content {
    width: 100%;
  }

  .why-us-content h2 {
    font-size: 36px;
  }

  .why-us .image-shape {
    max-width: 500px;
  }

  .why-us .image-shape img {
    height: 450px;
  }
}

/* ==================== */
/* MOBILE */
/* ==================== */

@media (max-width: 768px) {
  .why-us {
    padding: 50px 0;
  }

  .sub-title {
    text-align: center;
    font-size: 18px;
  }

  .why-us-content h2 {
    text-align: center;
    font-size: 28px;
    margin-bottom: 25px;
  }

  .why-list li {
    font-size: 16px;
    gap: 12px;
    margin-bottom: 15px;
  }

  .why-list li i {
    font-size: 22px;
  }

  .why-us .image-shape {
    max-width: 350px;
  }

  .why-us .image-shape img {
    height: 350px;
  }
}

@media (max-width: 480px) {
  .why-us .image-shape {
    max-width: 280px;
  }

  .why-us .image-shape img {
    height: 280px;
  }

  .why-us .why-us-content h2 {
    font-size: 24px;
  }
}

/* BANNER 2 */
.banner-food {
  position: relative;
  padding: 120px 0;
  background: url(../hinhmenu/banner-sam-nu-hoang.jpg) center center/cover
    no-repeat;
  overflow: hidden;
}

/* lớp phủ tối */
.banner-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 35, 0, 0.65);
}

/* container */
.banner-food .container {
  position: relative;
  z-index: 2;
  width: 80%;
  margin: auto;
  padding: 0 15px;
}

/* khung trắng */
.banner-box {
  width: 1300px;
  margin: auto;
  text-align: center;
  border: 4px solid rgba(255, 255, 255, 0.8);
  padding: 50px 30px;
  backdrop-filter: blur(2px);
}

/* tiêu đề phụ */
.banner-box .sub-title {
  display: block;
  color: #8cc63f;
  font-size: 40px;
  font-weight: 700;
  letter-spacing: 2px;
  margin-bottom: 30px;
}

/* tiêu đề chính */
.banner-box .content-giua {
  font-size: 70px;
  font-weight: 400;
  color: #fff;
  margin-bottom: 20px;
  line-height: 1.1;
}

/* mô tả */
.banner-box p {
  color: #fff;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 1px;
  line-height: 1.6;
  margin: 0 auto 35px;
}

/* nút */
.banner-btn {
  display: inline-block;
  padding: 10px 50px;
  background: #8dc63f;
  border: 1px solid #8dc63f;
  color: #fff;
  border-radius: 50px;
  text-decoration: none;
  font-size: 18px;
  font-weight: 700;

  transition: 0.3s;
}

.banner-btn:hover {
  background: transparent;
  color: #6da52d;
  border: 1px solid #86bc42;
  transform: translateY(-3px);
}

/* ===================== */
/* Tablet */
/* ===================== */

@media (max-width: 991px) {
  .banner-food {
    padding: 90px 0;
  }

  .banner-box {
    padding: 60px 25px;
    width: 100%;
  }

  .banner-box .sub-title {
    font-size: 30px;
  }

  .banner-box .content-giua {
    font-size: 65px;
  }

  .banner-box p {
    font-size: 22px;
  }
}

/* ===================== */
/* Mobile */
/* ===================== */

@media (max-width: 767px) {
  .banner-food {
    padding: 60px 0;
  }

  .banner-box {
    padding: 40px 20px;
    border-width: 3px;
  }

  .banner-box .sub-title {
    font-size: 18px;
    margin-bottom: 15px;
  }

  .banner-box .content-giua {
    font-size: 24px;
    margin-bottom: 15px;
  }

  .banner-box p {
    font-size: 16px;
    line-height: 1.8;
    margin-bottom: 25px;
  }

  .banner-btn {
    padding: 12px 30px;
    font-size: 16px;
  }
}

/* TIN TỨC */
.tintuc {
  padding: 80px 0;
  background: #fff;
}
.section-title {
  font-size: 40px;
  color: #b48202;
  font-weight: 700;
  padding-bottom: 30px;
}

.grid-section {
  padding-bottom: 60px;
}

.featured-imagebox {
  padding: 10px 10px;
  border-radius: 10px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  margin: 10px 5px;
  transition: all 0.3s ease;
  position: relative;
  overflow: hidden;
}

/* lớp ánh sáng */
.featured-imagebox::before {
  content: '';
  position: absolute;
  top: -150%;
  left: -150%;
  width: 200%;
  height: 200%;
  background: linear-gradient(
    120deg,
    transparent 40%,
    rgba(255, 255, 255, 0.6) 50%,
    transparent 60%
  );
  transform: rotate(25deg);
  transition: 1.5s ease;
}

/* hover */
.featured-imagebox:hover {
  transform: translateY(-10px);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

.featured-imagebox:hover::before {
  top: 100%;
  left: 100%;
}

.img-fluid {
  border-radius: 10px;
}

.featured-content {
  padding: 10px 0;
}

.featured-title h3 {
  font-size: 18px;
  text-align: left;
  line-height: 25px;
  margin: 10px 0;
  height: 50px;
  color: #334a1b;
  font-weight: 600;
}

.featured-title p {
  line-height: 28px;
  overflow: hidden;
  height: 80px;
  font-size: 18px;
  text-align: justify;
}

.services-section-two .inner-box h3 {
  font-size: 20px !important;
  font-weight: bold !important;
  color: #000 !important;
  padding-top: 15px !important;
}

/* TIN TỨC KIỂU BLOG */

.tintuc .row {
  display: grid;
  grid-template-columns: 0.8fr 1fr;
  gap: 0px;
  align-items: start;
}

/* bài lớn bên trái */

.news-big {
  grid-column: 1;
  grid-row: 1 / span 3;
}

.news-big .featured-imagebox {
  padding: 0;
}

.news-big .featured-thumbnail img {
  width: 100%;
  height: auto;
  object-fit: cover;
  padding: 20px 20px 0 20px;
}

.news-big .featured-content {
  padding: 20px;
}

.news-big .featured-title h3 {
  font-size: 20px;
  height: auto;
  line-height: 38px;
}

/* bài nhỏ bên phải */

.news-small {
  grid-column: 2;
}

.news-small .featured-imagebox {
  display: flex;
  gap: 20px;
  padding: 15px;
  height: 208px;
}

.news-small .featured-thumbnail {
  width: 237px;
  flex-shrink: 0;
}

.news-small .featured-thumbnail img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.news-small .featured-content {
  padding: 0;
}

.news-small .featured-title h3 {
  font-size: 20px;
  line-height: 33px;
  height: auto;
  margin: 0;
}

.news-small .featured-title p {
  height: auto;
  font-size: 18px;
}

/* mobile */

@media (max-width: 900px) {
  .tintuc .row {
    display: block;
  }
  .tintuc .container {
    padding: 0;
  }

  .news-big {
    margin-bottom: 25px;
  }

  .news-big .featured-thumbnail img {
    height: auto;
  }

  .news-small .featured-imagebox {
    display: block;
    height: auto;
  }

  .news-small .featured-thumbnail,
  .news-small .featured-thumbnail img {
    width: 100%;
    height: 220px;
  }
  .section-title {
    font-size: 30px;
  }
  .news-small .featured-title h3 {
    font-size: 18px;
    margin: 10px 0;
  }
  .news-small .featured-title p {
    font-size: 16px;
  }
}

@media (min-width: 992px) and (max-width: 1600px) {
   .news-small .featured-title p {
    height: auto;
    font-size: 17px;
    }
}

/*THÔNG TIN LIÊN HỆ*/

.contact-section {
  background: url('../hinhmenu/bg-lienhe.jpg') no-repeat center;
  background-size: cover;
  position: relative;
  padding: 100px 0;
}

/* overlay */
.contact-section::before {
  content: '';
  position: absolute;
  inset: 0;
}

/* form box */
.contact-section .contact-box {
  position: relative;
  z-index: 2;
  color: #fff;
}

/* title */
.contact-section .contact-box .title {
  font-size: 30px;
  font-weight: bold;
  padding-bottom: 30px;
  color: #b68508;
}

/* desc */
.contact-section .contact-box .desc {
  margin-bottom: 20px;
  font-size: 18px;
  color: #000;
}

/* input */
.contact-section .contact-box .form-control {
  height: 45px;
  border-radius: 6px;
  border: none;
  padding: 10px;
}

/* button */
.contact-section .btn-submit {
  background: #364d1f;
  color: #fff;
  border: none;
  padding: 10px 25px;
  border-radius: 4px;
  font-weight: 600;
  transition: 0.3s;
}

/* hover */
.contact-section .btn-submit:hover {
  background: #b68508;
  transform: translateX(5px);
}

/* mobile */
@media (max-width: 768px) {
  .contact-section .contact-section {
    padding: 60px 15px;
  }

  .contact-section .contact-box {
    margin: auto;
    text-align: center;
  }

  .contact-box .title {
    font-size: 24px;
  }

  .contact-section {
    padding: 40px 0;
  }
}
